/* This is a very simple example of why you need cross reference files
 * like CS.FLD.  For each object you need to know what externals and publics
 * are defined.
 */

char _streams[] = "Hello, world"; 

void main()
{
	printf("%s\n", _streams );
	spawnl();
}
spawnl()
{
	system( "DIR *.C");
}

/* To make this program work properly 
 *
 *  remove the under-bar from _streams
 *  remove the leading s from spawnl
 *
 * TurboC tries to protect you from stubbing your toe by preceding
 * publics with an under-bar.  But when you start building your own libraries
 * you will have come up with your own kludge or have a good cross referencing 
 * system.
 */